Page MenuHomePhabricator

Allow readable URLs for externaldata in geojson
Closed, ResolvedPublic

Description

Having raw URL in the ExternalData element of geojson is unreadable. I propose that we allow this structure (converted to URL by the backend geojson sanitizer):

{
  "type": "externalData",

  // this basically becomes the protocol.  All other values in this object are interpreted based on the service
  "service": "geoshape",

  // For "geoshape" service, query may be either one string, on a list of strings (will be concatenated)
  "query": [
    "SELECT ?id ?description ?head ?title (SAMPLE(?fill) as ?fill)  WHERE {",
    "  ?id wdt:P31 wd:Q35657 .",
    ...
  ]
}

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : wmf/1.28.0-wmf.20Allow readable queries for externaldata in geojson
mediawiki/extensions/Kartographer : masterAllow readable queries for externaldata in geojson

Event Timeline

Yurik created this task.Sep 8 2016, 3:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2016, 3:41 AM
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.Sep 9 2016, 2:56 AM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 16 2016, 7:25 AM
Yurik claimed this task.Sep 16 2016, 4:29 PM
Yurik added a project: Maps-Sprint.

Change 311147 had a related patch set uploaded (by Yurik):
Allow readable URLs for externaldata in geojson

https://gerrit.wikimedia.org/r/311147

Change 311147 merged by jenkins-bot:
Allow readable queries for externaldata in geojson

https://gerrit.wikimedia.org/r/311147

Change 312406 had a related patch set uploaded (by MaxSem):
Allow readable queries for externaldata in geojson

https://gerrit.wikimedia.org/r/312406

Change 312406 abandoned by MaxSem:
Allow readable queries for externaldata in geojson

https://gerrit.wikimedia.org/r/312406

MaxSem closed this task as Resolved.Sep 23 2016, 7:10 AM